package com.ruoyi.ibs.dashboard.mapper;
import com.ruoyi.ibs.dashboard.domain.entity.TabRanking;
import com.ruoyi.ibs.dashboard.domain.vo.TabCommentVO;

import java.util.List;


/**
 * 指标排名Mapper接口
 * 
 * @author ruoyi
 * @date 2025-08-26
 */
public interface TabRankingMapper 
{
    /**
     * 查询指标排名
     * 
     * @param id 指标排名主键
     * @return 指标排名
     */
    public TabRanking selectTabRankingById(Long id);




    public List<TabCommentVO> selectConmmentById(Long id);
    /**
     * 查询指标排名列表
     * 
     * @param tabRanking 指标排名
     * @return 指标排名集合
     */
    public List<TabRanking> selectTabRankingList(TabRanking tabRanking);

    /**
     * 新增指标排名
     * 
     * @param tabRanking 指标排名
     * @return 结果
     */
    public int insertTabRanking(TabRanking tabRanking);

    /**
     * 修改指标排名
     * 
     * @param tabRanking 指标排名
     * @return 结果
     */
    public int updateTabRanking(TabRanking tabRanking);

    /**
     * 删除指标排名
     * 
     * @param id 指标排名主键
     * @return 结果
     */
    public int deleteTabRankingById(Long id);

    /**
     * 批量删除指标排名
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTabRankingByIds(Long[] ids);


    public int insertComment(TabCommentVO conmment);
}
